# LS7-Emulator

Emulator for the LS7 Computer written in C and SDL

## ToDo

This is very much ~work in progress~

- Test newly implemented 65c02 instructions
- video.c accent color support
- CPU snapshot load/save
- Emulate VIA
- (Build-in memory monitor - like wozmon)

## Usage

Start the program with `ls7emulator [OPTIONS] ... [FILE]`.
A file has to be specified and **must** be exactly 16k in size.
Preferably a 65c02 program. If no program is specified, 
the emulator will execute random stuff.

## Options

Command-line options can be listed by passing `--help` as an argument.

## Hotkeys

I'm still changing stuff, so this is probably bound to change.

In-program hotkeys can be listed by passing `--help-keys` 
as an argument or by pressing F2 in the emulator

## Building

The Program is so small, that I won't distribute a binary package.
The `Makefile` provides the build utilities. Simply build it in a Unix based terminal with
`make` and to install it in /usr/bin `make install` as root

Compiling/Running the emulator on windows still has to be tested.

## Build dependencies

- gcc
- sdl2
